ByteUtility (Bean Scripting Framework API)
Keywords: org.apache.bsf.util.event.generator.ByteUtility class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bsf.util.event.generator
Class ByteUtility

    java.lang.Object
      org.apache.bsf.util.event.generator.ByteUtility

public class ByteUtility
extends java.lang.Object

Byte handling utilities 5 April 1999 - functions to append standard types to byte arrays functions to produce standard types from byte arrays

Author:
  Richard F. Boehme

Constructor Summary
`ByteUtility()`

Method Summary
`static byte[]` | `addBytes(byte[] array, byte value)`
`static byte[]` | `addBytes(byte[] array, byte[] value)`
`static byte[]` | `addBytes(byte[] array, int value)`
`static byte[]` | `addBytes(byte[] array, long value)`
`static byte[]` | `addBytes(byte[] array, short value)`
`static byte[]` | `addBytes(byte[] array, java.lang.String value)`
`static double` | `byteArrayToDouble(byte[] value)`
`static double` | `byteArrayToDouble(byte[] high, byte[] low)`
`static float` | `byteArrayToFloat(byte[] value)`
`static int` | `byteArrayToInt(byte[] value)`
`static long` | `byteArrayToLong(byte[] value)`
`static long` | `byteArrayToLong(byte[] high, byte[] low)`
`static short` | `byteArrayToShort(byte[] value)`
`static java.lang.String` | `byteToHexString(byte value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteUtility

    public ByteUtility()

Method Detail

### addBytes

    public static byte[] addBytes(byte[] array,
                                  byte[] value)

### addBytes

    public static byte[] addBytes(byte[] array,
                                  byte value)

### addBytes

    public static byte[] addBytes(byte[] array,
                                  int value)

### addBytes

    public static byte[] addBytes(byte[] array,
                                  long value)

### addBytes

    public static byte[] addBytes(byte[] array,
                                  java.lang.String value)

### addBytes

    public static byte[] addBytes(byte[] array,
                                  short value)

### byteArrayToDouble

    public static double byteArrayToDouble(byte[] high,
                                           byte[] low)

### byteArrayToDouble

    public static double byteArrayToDouble(byte[] value)

### byteArrayToFloat

    public static float byteArrayToFloat(byte[] value)

### byteArrayToInt

    public static int byteArrayToInt(byte[] value)

### byteArrayToLong

    public static long byteArrayToLong(byte[] value)

### byteArrayToLong

    public static long byteArrayToLong(byte[] high,
                                       byte[] low)

### byteArrayToShort

    public static short byteArrayToShort(byte[] value)

### byteToHexString

    public static java.lang.String byteToHexString(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD